Bug 1712986 - cluster-network-operator overwrites status field with third-party operators (4.1 backport)
Summary: cluster-network-operator overwrites status field with third-party operators (...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.1.z
Assignee: Casey Callendrello
QA Contact: zhaozhanqi
URL:
Whiteboard: 4.1.3
Depends On: 1710856
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-22 15:55 UTC by Casey Callendrello
Modified: 2019-06-26 08:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1710856
Environment:
Last Closed: 2019-06-26 08:50:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:1589 None None None 2019-06-26 08:50:29 UTC

Description Casey Callendrello 2019-05-22 15:55:54 UTC
+++ This bug was initially created as a clone of Bug #1710856 +++

Description of problem:
Third-party network operators need to set the Network.config.openshift.io/Status field, but the cluster-network-operator overwrites it with blanks!

Version-Release number of selected component (if applicable):
4.1.0


Fix:
Don't write any network status if we're not installing a network.

--- Additional comment from Casey Callendrello on 2019-05-16 12:39:22 UTC ---

This blocks third-party network operators.

We'll probably have to backport this to 4.1.

--- Additional comment from Casey Callendrello on 2019-05-22 15:55:17 UTC ---

https://github.com/openshift/cluster-network-operator/pull/173 merged

Comment 1 Casey Callendrello 2019-06-12 09:45:01 UTC
PR https://github.com/openshift/cluster-network-operator/pull/194

Comment 4 zhaozhanqi 2019-06-21 11:09:34 UTC
Verified this bug on 4.1.0-0.nightly-2019-06-20-015058

When using 'networkType: OpenShiftSDN_bak' install the env, check the status is nil

 #oc get networks.config.openshift.io -o yaml
apiVersion: v1
items:
- apiVersion: config.openshift.io/v1
  kind: Network
  metadata:
    creationTimestamp: "2019-06-21T10:57:12Z"
    generation: 1
    name: cluster
    resourceVersion: "405"
    selfLink: /apis/config.openshift.io/v1/networks/cluster
    uid: 52de59cb-9413-11e9-9109-0636e37b7516
  spec:
    clusterNetwork:
    - cidr: 10.128.0.0/14
      hostPrefix: 23
    networkType: OpenShiftSDN_bak
    serviceNetwork:
    - 172.30.0.0/16
  status: {}

Comment 6 errata-xmlrpc 2019-06-26 08:50:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:1589


Note You need to log in before you can comment on or make changes to this bug.